Anki Forums

Anki Error Database Browse Tab v2.1.43

Hi, I am using version 2.1.43 of Anki and I have seemed to encounter problems with Anki when I am browsing the files of flagged notes. This has happened in other places but the first one I pinned down is the flagged area in the browsing section.

Here is the video link: Anki Error Database Browse Tab v2.1.43

I have no add-ons installed and have already tried checking the database.

Error
An error occurred. Please use Tools > Check Database to see if that fixes the problem.
If problems persist, please report the problem on our support site. Please copy and paste the information below into your report.
Anki 2.1.43 (0fbae6bc) Python 3.8.6 Qt 5.14.2 PyQt 5.14.2
Platform: Mac 10.16
Flags: frz=True ao=False sv=2
Add-ons, last update check: 2021-10-09 18:33:34

Caught exception:
Traceback (most recent call last):
File “aqt/browser.py”, line 415, in paint
AttributeError: module ‘aqt.colors’ has no attribute ‘FLAG5_BG’

Caught exception:
Traceback (most recent call last):
File “aqt/browser.py”, line 415, in paint
AttributeError: module ‘aqt.colors’ has no attribute ‘FLAG5_BG’

Caught exception:
Traceback (most recent call last):
File “aqt/browser.py”, line 415, in paint
AttributeError: module ‘aqt.colors’ has no attribute ‘FLAG5_BG’

Caught exception:
Traceback (most recent call last):
File “aqt/browser.py”, line 415, in paint
AttributeError: module ‘aqt.colors’ has no attribute ‘FLAG5_BG’

Much help is appreciated.

EDIT: The bug seems to occur when I see a BLACK FLAG on a card and then click Browse. I do not see the ability to flag a card with the color black so I am stumped. Maybe this is a result of the leech flagging?

The black flag might be a bug because the version you are in (2.1.43) didn’t have the new 3 flags that got added in 2.1.45 (Changes in 2.1.45 - Anki Betas alpha 4: Added 3 new flag colours)

maybe the deck you have downloaded have cards that used the new flag colors, but since you don’t have the new flags, it got displayed as black

2 Likes

Seems reasonable.

This isn’t some catastrophic error then, if I decide to ignore it, my deck won’t be destroyed 3 months later right?

¯_(ツ)_/¯

No, it won’t damage your collection.
But since you don’t use any add-ons, I assume there is no reason against upgrading to the most recent version? That will resolve the issue.

1 Like